> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/39.-mutation-imposta-schemi-di-colore-personalizzati-per-le-geomaps-selezionate.md).

# 39. Mutation: imposta schemi di colore personalizzati per le "GeoMaps" selezionate

Impostare schemi di colore personalizzati per i livelli di dati: "ZonesMaps", "SoilDatasets".&#x20;

Il supporto per altri livelli di dati ("YieldDataset", "TopographyMaps", "SatelliteImages") è in arrivo.

Aggiornare tutti gli attributi della "GeoMap":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.288999557495117,
          31.641000747680664,
          42.30500030517578,
          56.132999420166016,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.788000106811523,
          26.854999542236328,
          33.84000015258789,
          41.20100021362305,
          50.124000549316406,
          63.90299987792969,
          86.70500183105469,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    shortName
    fullName
    descrizione
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

Aggiornare solo gli schemi di colore della "GeoMap":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          -6.5,
          100,
          162.60000610351562,
          245.8000030517578,
          493.29998779296875
        ],
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    shortName
    fullName
    descrizione
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

**IMPORTANTE** punti per imparare come usare la mutation:

1. Attributi `fieldUuid`, `soilDatasetUuid`/`vectorAnalysisMapUuid`, e `shortName` sono obbligatori per identificare la corretta "GeoMap" da modificare. Tutti e tre questi attributi insieme riflettono l'unicità della "GeoMap".
2. O `soilDatasetUuid` o `vectorAnalysisMapUuid` attributo deve essere usato per ogni singolo input "GeoMap".
3. Valore di `shortName` deve essere lo stesso dell'origine nella "GeoMap". Non è modificabile.
4. Attributi `fullName`, `descrizione`, `hexColorCodes` sono modificabili per le "ZonesMaps" e possono essere aggiornati. Le modifiche non vengono applicate se l'attributo non è menzionato.
5. Attributi `fullName`, `descrizione`, `classes`, `hexColorCodes` sono modificabili per i "SoilDatasets" e possono essere aggiornati. Le modifiche non vengono applicate se l'attributo non è menzionato.
6. Array `classes` e `hexColorCodes`  devono avere esattamente la stessa lunghezza dell'origine nella "GeoMap".
7. La lunghezza degli array di "GeoMaps" nella richiesta e nella risposta deve essere la stessa. In caso contrario, alcune "GeoMaps" non sono state modificate con successo.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/39.-mutation-imposta-schemi-di-colore-personalizzati-per-le-geomaps-selezionate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
